"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createIsModelBeingDeleted = void 0;
const createIsModelBeingDeleted = params => {
  return async modelId => {
    const items = await params.listModelsBeingDeleted();
    return items.some(item => item.modelId === modelId);
  };
};
exports.createIsModelBeingDeleted = createIsModelBeingDeleted;

//# sourceMappingURL=isModelBeingDeleted.js.map