"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createStoreValue = exports.createStoreNamespace = exports.createStoreKey = void 0;
const createStoreNamespace = params => {
  return `deletingCmsModel#T#${params.tenant}#L#${params.locale}#`;
};
exports.createStoreNamespace = createStoreNamespace;
const createStoreKey = params => {
  return `${createStoreNamespace(params)}${params.modelId}`;
};
exports.createStoreKey = createStoreKey;
const createStoreValue = params => {
  return {
    modelId: params.modelId,
    task: params.task,
    identity: params.identity,
    tenant: params.tenant,
    locale: params.locale
  };
};
exports.createStoreValue = createStoreValue;

//# sourceMappingURL=store.js.map