"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getStatus = void 0;
var _tasks = require("@webiny/tasks");
var _types = require("../types");
const getStatus = status => {
  switch (status) {
    case _tasks.TaskDataStatus.PENDING:
    case _tasks.TaskDataStatus.RUNNING:
      return _types.DeleteCmsModelTaskStatus.RUNNING;
    case _tasks.TaskDataStatus.FAILED:
      return _types.DeleteCmsModelTaskStatus.ERROR;
    case _tasks.TaskDataStatus.ABORTED:
      return _types.DeleteCmsModelTaskStatus.CANCELED;
    case _tasks.TaskDataStatus.SUCCESS:
      return _types.DeleteCmsModelTaskStatus.DONE;
  }
};
exports.getStatus = getStatus;

//# sourceMappingURL=status.js.map